Firefox 3.5 forced upgrade coming soon

With Firefox 4 released not too long ago and Firefox 5 supposed to be released on June 21st. The firefox train is moving full speed ahead, the laggers are dealt with in an aggressive manner as well. There seems to be 12 million users still on Firefox 3.5, that’s still a significant amount of users. We all remember what happened with IE6… To avoid that from happening again, Firefox will start issuing warning on Google’s default pages for users of version 3.5 and planning to push out 3.6.18 as an update (if auto update is enabled) once Firefox 5 is out (finger still crossed on the Jun 21st day).

The days when a common web applications tell users that a certain new version of browsers not being supported is long gone. Still remember when lots of government and banks websites are asking users to use only supported browsers IE 6 and maybe IE 7. I think we are all moving towards sites aggressively making the users upgrade to newer browsers in an effort to protect them as well. Newer browsers generally have better protection and support new protection mechanisms (have you seen all the protection HTTP headers that are supported by the new browsers?)

More info about the Firefox 3.5 forced upgrade,

http://www.theregister.co.uk/2011/05/16/mozilla_firefox_3_5_forced_upgrade/

Comments are closed.